#include <QDragEnterEvent>
#include <QDropEvent>
#include <QUrl>
#include <QMimeData>

#include "EquationArea.h"

EquationArea::EquationArea(QWidget *parent) :
    QScrollArea(parent)
{
    setAcceptDrops(true);
}

void EquationArea::dragEnterEvent(QDragEnterEvent *event)
{
    if (event->mimeData()->hasUrls())
        event->acceptProposedAction();
}

void EquationArea::dropEvent(QDropEvent *event)
{

    QUrl url = event->mimeData()->urls().at(0);

    event->acceptProposedAction();

    emit dropped(url.toLocalFile());
}
